# Processes

## Get an individual Process

> Same as GetProcessById

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"DtoProcessGetProcessLinkModelResponse":{"required":["Data"],"type":"object","properties":{"data":{"$ref":"#/components/schemas/DtoProcessGet"},"links":{"$ref":"#/components/schemas/ProcessLinkModel"}},"additionalProperties":false},"DtoProcessGet":{"required":["name"],"type":"object","properties":{"isDeleted":{"type":"boolean"},"version":{"type":"integer","format":"int32"},"uniqueIdentifier":{"type":"string","format":"uuid"},"id":{"type":"integer","format":"int64"},"name":{"minLength":1,"type":"string"},"modified":{"type":"string","format":"date-time"},"modifier":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isNotLatestVersion":{"type":"boolean"},"changeDescription":{"type":"string","nullable":true},"bpmn":{"type":"string"},"elementParameters":{"type":"array","items":{"$ref":"#/components/schemas/ElementParameters"}},"manualTrigger":{"type":"array","items":{"$ref":"#/components/schemas/JToken"}},"obsoleteTasks":{"type":"array","items":{"$ref":"#/components/schemas/TaskSelectionData"}},"draftId":{"type":"integer","format":"int64","nullable":true},"idOfBaseProcessForDraft":{"type":"integer","format":"int64","nullable":true},"isDraft":{"type":"boolean"},"isSubprocess":{"type":"boolean"},"graphData":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/JToken"},"nullable":true},"triggerData":{"type":"array","items":{"$ref":"#/components/schemas/JToken"},"nullable":true},"majorVersion":{"type":"integer","format":"int32"},"minorVersion":{"type":"integer","format":"int32"},"isMigration":{"type":"boolean"},"activateIfNew":{"type":"boolean"},"frendsVersion":{"type":"string","nullable":true},"ignoreDependencyConflicts":{"type":"boolean","nullable":true},"documentationMarkdown":{"type":"string","nullable":true},"targetFramework":{"type":"string"},"apiSpecId":{"type":"integer","format":"int64","nullable":true},"isForMonitoringRule":{"type":"boolean"},"validationOnly":{"type":"boolean"},"cancellationDisabled":{"type":"boolean"},"processVariables":{"type":"array","items":{"$ref":"#/components/schemas/ProcessVariable"},"nullable":true},"processTemplate":{"$ref":"#/components/schemas/ProcessTemplateBase"},"processTemplateDeviated":{"type":"string","format":"date-time","nullable":true},"nextProcessTemplate":{"$ref":"#/components/schemas/ProcessTemplateBase"},"performAdditionalSyntaxValidation":{"type":"boolean"}},"additionalProperties":false},"ElementParameters":{"type":"object","properties":{"id":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/ElementType"},"parameters":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/JToken"},"nullable":true},"selectedTypeId":{"type":"string","nullable":true},"promoteResultAs":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isDefault":{"type":"boolean","nullable":true},"shouldRetry":{"type":"boolean","nullable":true},"maxRetryCount":{"type":"integer","format":"int32","nullable":true},"shouldNotLogResult":{"type":"boolean","nullable":true},"shouldDispose":{"type":"boolean","nullable":true}},"additionalProperties":false},"ElementType":{"enum":["Start","Task","Decision","SequenceFlow","ConditionBranch","Return","Throw","CallActivity","SubProcess","ParallelForeach","SequentialForeach","While","Expression","SubProcessStartNode","Catch","InclusiveGateway","InclusiveDecisionBranch","IntermediateReturn","GlobalErrorHandler","TestTask","SharedState","Dmn","DataObjectReference","DataStoreReference","NativeAi"],"type":"string"},"JToken":{"type":"array","items":{"$ref":"#/components/schemas/JToken"}},"TaskSelectionData":{"type":"object","properties":{"uri":{"type":"string"},"argumentsJson":{"type":"string","nullable":true},"returnType":{"type":"string","nullable":true},"name":{"type":"string"},"displayName":{"type":"string","nullable":true},"packageName":{"type":"string"},"description":{"type":"string","nullable":true},"isNotLatestVersion":{"type":"boolean"},"isStandard":{"type":"boolean"},"isDotNet":{"type":"boolean"}},"additionalProperties":false},"ProcessVariable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"value":{"type":"string","nullable":true},"isSecret":{"type":"boolean"},"mode":{"type":"string","nullable":true},"description":{"type":"string","nullable":true}},"additionalProperties":false},"ProcessTemplateBase":{"required":["bpmn","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"minLength":1,"type":"string"},"modifier":{"type":"string","nullable":true},"modified":{"type":"string","format":"date-time"},"majorVersion":{"type":"integer","format":"int32"},"minorVersion":{"type":"integer","format":"int32"},"targetFramework":{"type":"string"},"frendsVersion":{"type":"string"},"isSubprocess":{"type":"boolean"},"staticRequiredEnvironmentVariablesJson":{"type":"string"},"isForMonitoringRule":{"type":"boolean"},"cancellationDisabled":{"type":"boolean"},"description":{"type":"string","nullable":true},"changeDescription":{"type":"string","nullable":true},"bpmn":{"minLength":1,"type":"string"},"elementParameters":{"type":"string","nullable":true},"promotedResultVariablesJson":{"type":"string","nullable":true},"usedSubprocessesJson":{"type":"string","nullable":true},"usedTasksJson":{"type":"string","nullable":true},"triggersJson":{"type":"string","nullable":true},"manualTriggerJson":{"type":"string","nullable":true},"uniqueIdentifier":{"type":"string","format":"uuid"},"isListed":{"type":"boolean"},"version":{"type":"integer","format":"int32"},"isDeleted":{"type":"boolean"},"processVariablesJson":{"type":"string","nullable":true},"processTags":{"type":"string","nullable":true},"templateTags":{"type":"array","items":{"type":"string"}},"getVersion":{"type":"string","readOnly":true}},"additionalProperties":false},"ProcessLinkModel":{"required":["Delete","Deployments"],"type":"object","properties":{"deployments":{"$ref":"#/components/schemas/LinkModel"},"delete":{"$ref":"#/components/schemas/LinkModel"}},"additionalProperties":false},"LinkModel":{"type":"object","properties":{"uri":{"type":"string","format":"uri"},"method":{"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/processes/{processGuid}/versions/{processVersion}":{"get":{"tags":["Processes"],"summary":"Get an individual Process","description":"Same as GetProcessById","operationId":"GetSingleProcess","parameters":[{"name":"processGuid","in":"path","description":"Process unique identifier","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"processVersion","in":"path","description":"Process version","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoProcessGetProcessLinkModelResponse"}}}},"404":{"description":"Process not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## Get an individual Process by Id

> Same as GetProcess

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"DtoProcessGetProcessLinkModelResponse":{"required":["Data"],"type":"object","properties":{"data":{"$ref":"#/components/schemas/DtoProcessGet"},"links":{"$ref":"#/components/schemas/ProcessLinkModel"}},"additionalProperties":false},"DtoProcessGet":{"required":["name"],"type":"object","properties":{"isDeleted":{"type":"boolean"},"version":{"type":"integer","format":"int32"},"uniqueIdentifier":{"type":"string","format":"uuid"},"id":{"type":"integer","format":"int64"},"name":{"minLength":1,"type":"string"},"modified":{"type":"string","format":"date-time"},"modifier":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isNotLatestVersion":{"type":"boolean"},"changeDescription":{"type":"string","nullable":true},"bpmn":{"type":"string"},"elementParameters":{"type":"array","items":{"$ref":"#/components/schemas/ElementParameters"}},"manualTrigger":{"type":"array","items":{"$ref":"#/components/schemas/JToken"}},"obsoleteTasks":{"type":"array","items":{"$ref":"#/components/schemas/TaskSelectionData"}},"draftId":{"type":"integer","format":"int64","nullable":true},"idOfBaseProcessForDraft":{"type":"integer","format":"int64","nullable":true},"isDraft":{"type":"boolean"},"isSubprocess":{"type":"boolean"},"graphData":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/JToken"},"nullable":true},"triggerData":{"type":"array","items":{"$ref":"#/components/schemas/JToken"},"nullable":true},"majorVersion":{"type":"integer","format":"int32"},"minorVersion":{"type":"integer","format":"int32"},"isMigration":{"type":"boolean"},"activateIfNew":{"type":"boolean"},"frendsVersion":{"type":"string","nullable":true},"ignoreDependencyConflicts":{"type":"boolean","nullable":true},"documentationMarkdown":{"type":"string","nullable":true},"targetFramework":{"type":"string"},"apiSpecId":{"type":"integer","format":"int64","nullable":true},"isForMonitoringRule":{"type":"boolean"},"validationOnly":{"type":"boolean"},"cancellationDisabled":{"type":"boolean"},"processVariables":{"type":"array","items":{"$ref":"#/components/schemas/ProcessVariable"},"nullable":true},"processTemplate":{"$ref":"#/components/schemas/ProcessTemplateBase"},"processTemplateDeviated":{"type":"string","format":"date-time","nullable":true},"nextProcessTemplate":{"$ref":"#/components/schemas/ProcessTemplateBase"},"performAdditionalSyntaxValidation":{"type":"boolean"}},"additionalProperties":false},"ElementParameters":{"type":"object","properties":{"id":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/ElementType"},"parameters":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/JToken"},"nullable":true},"selectedTypeId":{"type":"string","nullable":true},"promoteResultAs":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isDefault":{"type":"boolean","nullable":true},"shouldRetry":{"type":"boolean","nullable":true},"maxRetryCount":{"type":"integer","format":"int32","nullable":true},"shouldNotLogResult":{"type":"boolean","nullable":true},"shouldDispose":{"type":"boolean","nullable":true}},"additionalProperties":false},"ElementType":{"enum":["Start","Task","Decision","SequenceFlow","ConditionBranch","Return","Throw","CallActivity","SubProcess","ParallelForeach","SequentialForeach","While","Expression","SubProcessStartNode","Catch","InclusiveGateway","InclusiveDecisionBranch","IntermediateReturn","GlobalErrorHandler","TestTask","SharedState","Dmn","DataObjectReference","DataStoreReference","NativeAi"],"type":"string"},"JToken":{"type":"array","items":{"$ref":"#/components/schemas/JToken"}},"TaskSelectionData":{"type":"object","properties":{"uri":{"type":"string"},"argumentsJson":{"type":"string","nullable":true},"returnType":{"type":"string","nullable":true},"name":{"type":"string"},"displayName":{"type":"string","nullable":true},"packageName":{"type":"string"},"description":{"type":"string","nullable":true},"isNotLatestVersion":{"type":"boolean"},"isStandard":{"type":"boolean"},"isDotNet":{"type":"boolean"}},"additionalProperties":false},"ProcessVariable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"value":{"type":"string","nullable":true},"isSecret":{"type":"boolean"},"mode":{"type":"string","nullable":true},"description":{"type":"string","nullable":true}},"additionalProperties":false},"ProcessTemplateBase":{"required":["bpmn","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"minLength":1,"type":"string"},"modifier":{"type":"string","nullable":true},"modified":{"type":"string","format":"date-time"},"majorVersion":{"type":"integer","format":"int32"},"minorVersion":{"type":"integer","format":"int32"},"targetFramework":{"type":"string"},"frendsVersion":{"type":"string"},"isSubprocess":{"type":"boolean"},"staticRequiredEnvironmentVariablesJson":{"type":"string"},"isForMonitoringRule":{"type":"boolean"},"cancellationDisabled":{"type":"boolean"},"description":{"type":"string","nullable":true},"changeDescription":{"type":"string","nullable":true},"bpmn":{"minLength":1,"type":"string"},"elementParameters":{"type":"string","nullable":true},"promotedResultVariablesJson":{"type":"string","nullable":true},"usedSubprocessesJson":{"type":"string","nullable":true},"usedTasksJson":{"type":"string","nullable":true},"triggersJson":{"type":"string","nullable":true},"manualTriggerJson":{"type":"string","nullable":true},"uniqueIdentifier":{"type":"string","format":"uuid"},"isListed":{"type":"boolean"},"version":{"type":"integer","format":"int32"},"isDeleted":{"type":"boolean"},"processVariablesJson":{"type":"string","nullable":true},"processTags":{"type":"string","nullable":true},"templateTags":{"type":"array","items":{"type":"string"}},"getVersion":{"type":"string","readOnly":true}},"additionalProperties":false},"ProcessLinkModel":{"required":["Delete","Deployments"],"type":"object","properties":{"deployments":{"$ref":"#/components/schemas/LinkModel"},"delete":{"$ref":"#/components/schemas/LinkModel"}},"additionalProperties":false},"LinkModel":{"type":"object","properties":{"uri":{"type":"string","format":"uri"},"method":{"type":"string"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/processes/{id}":{"get":{"tags":["Processes"],"summary":"Get an individual Process by Id","description":"Same as GetProcess","operationId":"GetSingleProcessById","parameters":[{"name":"id","in":"path","description":"Process version unique identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoProcessGetProcessLinkModelResponse"}}}},"404":{"description":"Process not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## List Processes

> If response data is empty there were no Processes found with the chosen filters

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"DtoProcessListGetPagedResponse":{"required":["Data","Paging"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DtoProcessListGet"},"description":"Response data"},"paging":{"$ref":"#/components/schemas/PagingModel"}},"additionalProperties":false},"DtoProcessListGet":{"required":["name"],"type":"object","properties":{"isDeleted":{"type":"boolean"},"version":{"type":"integer","format":"int32"},"uniqueIdentifier":{"type":"string","format":"uuid"},"id":{"type":"integer","format":"int64"},"name":{"minLength":1,"type":"string"},"modified":{"type":"string","format":"date-time"},"modifier":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isNotLatestVersion":{"type":"boolean"},"changeDescription":{"type":"string","nullable":true},"bpmn":{"type":"string"},"elementParameters":{"type":"array","items":{"$ref":"#/components/schemas/ElementParameters"}},"manualTrigger":{"type":"array","items":{"$ref":"#/components/schemas/JToken"}},"obsoleteTasks":{"type":"array","items":{"$ref":"#/components/schemas/TaskSelectionData"}},"draftId":{"type":"integer","format":"int64","nullable":true},"idOfBaseProcessForDraft":{"type":"integer","format":"int64","nullable":true},"isDraft":{"type":"boolean"},"isSubprocess":{"type":"boolean"},"graphData":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/JToken"},"nullable":true},"triggerData":{"type":"array","items":{"$ref":"#/components/schemas/JToken"},"nullable":true},"majorVersion":{"type":"integer","format":"int32"},"minorVersion":{"type":"integer","format":"int32"},"isMigration":{"type":"boolean"},"activateIfNew":{"type":"boolean"},"frendsVersion":{"type":"string","nullable":true},"ignoreDependencyConflicts":{"type":"boolean","nullable":true},"documentationMarkdown":{"type":"string","nullable":true},"targetFramework":{"type":"string"},"apiSpecId":{"type":"integer","format":"int64","nullable":true},"isForMonitoringRule":{"type":"boolean"},"validationOnly":{"type":"boolean"},"cancellationDisabled":{"type":"boolean"},"processVariables":{"type":"array","items":{"$ref":"#/components/schemas/ProcessVariable"},"nullable":true},"processTemplate":{"$ref":"#/components/schemas/ProcessTemplateBase"},"processTemplateDeviated":{"type":"string","format":"date-time","nullable":true},"nextProcessTemplate":{"$ref":"#/components/schemas/ProcessTemplateBase"},"performAdditionalSyntaxValidation":{"type":"boolean"},"links":{"$ref":"#/components/schemas/ProcessLinkModel"}},"additionalProperties":false},"ElementParameters":{"type":"object","properties":{"id":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/ElementType"},"parameters":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/JToken"},"nullable":true},"selectedTypeId":{"type":"string","nullable":true},"promoteResultAs":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isDefault":{"type":"boolean","nullable":true},"shouldRetry":{"type":"boolean","nullable":true},"maxRetryCount":{"type":"integer","format":"int32","nullable":true},"shouldNotLogResult":{"type":"boolean","nullable":true},"shouldDispose":{"type":"boolean","nullable":true}},"additionalProperties":false},"ElementType":{"enum":["Start","Task","Decision","SequenceFlow","ConditionBranch","Return","Throw","CallActivity","SubProcess","ParallelForeach","SequentialForeach","While","Expression","SubProcessStartNode","Catch","InclusiveGateway","InclusiveDecisionBranch","IntermediateReturn","GlobalErrorHandler","TestTask","SharedState","Dmn","DataObjectReference","DataStoreReference","NativeAi"],"type":"string"},"JToken":{"type":"array","items":{"$ref":"#/components/schemas/JToken"}},"TaskSelectionData":{"type":"object","properties":{"uri":{"type":"string"},"argumentsJson":{"type":"string","nullable":true},"returnType":{"type":"string","nullable":true},"name":{"type":"string"},"displayName":{"type":"string","nullable":true},"packageName":{"type":"string"},"description":{"type":"string","nullable":true},"isNotLatestVersion":{"type":"boolean"},"isStandard":{"type":"boolean"},"isDotNet":{"type":"boolean"}},"additionalProperties":false},"ProcessVariable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"value":{"type":"string","nullable":true},"isSecret":{"type":"boolean"},"mode":{"type":"string","nullable":true},"description":{"type":"string","nullable":true}},"additionalProperties":false},"ProcessTemplateBase":{"required":["bpmn","name"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"minLength":1,"type":"string"},"modifier":{"type":"string","nullable":true},"modified":{"type":"string","format":"date-time"},"majorVersion":{"type":"integer","format":"int32"},"minorVersion":{"type":"integer","format":"int32"},"targetFramework":{"type":"string"},"frendsVersion":{"type":"string"},"isSubprocess":{"type":"boolean"},"staticRequiredEnvironmentVariablesJson":{"type":"string"},"isForMonitoringRule":{"type":"boolean"},"cancellationDisabled":{"type":"boolean"},"description":{"type":"string","nullable":true},"changeDescription":{"type":"string","nullable":true},"bpmn":{"minLength":1,"type":"string"},"elementParameters":{"type":"string","nullable":true},"promotedResultVariablesJson":{"type":"string","nullable":true},"usedSubprocessesJson":{"type":"string","nullable":true},"usedTasksJson":{"type":"string","nullable":true},"triggersJson":{"type":"string","nullable":true},"manualTriggerJson":{"type":"string","nullable":true},"uniqueIdentifier":{"type":"string","format":"uuid"},"isListed":{"type":"boolean"},"version":{"type":"integer","format":"int32"},"isDeleted":{"type":"boolean"},"processVariablesJson":{"type":"string","nullable":true},"processTags":{"type":"string","nullable":true},"templateTags":{"type":"array","items":{"type":"string"}},"getVersion":{"type":"string","readOnly":true}},"additionalProperties":false},"ProcessLinkModel":{"required":["Delete","Deployments"],"type":"object","properties":{"deployments":{"$ref":"#/components/schemas/LinkModel"},"delete":{"$ref":"#/components/schemas/LinkModel"}},"additionalProperties":false},"LinkModel":{"type":"object","properties":{"uri":{"type":"string","format":"uri"},"method":{"type":"string"}},"additionalProperties":false},"PagingModel":{"required":["CurrentPage","FirstPage","LastPage","PageSize","TotalCount"],"type":"object","properties":{"currentPage":{"type":"integer","description":"Current page","format":"int32"},"pageSize":{"type":"integer","description":"Number of entries per page","format":"int32"},"totalCount":{"type":"integer","description":"Total number of entries","format":"int32"},"firstPage":{"type":"string","description":"Url of the first page","format":"uri","nullable":true},"lastPage":{"type":"string","description":"Url of the last page","format":"uri","nullable":true},"nextPage":{"type":"string","description":"Url of the next page","format":"uri","nullable":true},"previousPage":{"type":"string","description":"Url of the previous page","format":"uri","nullable":true}},"additionalProperties":false}}},"paths":{"/api/v1/processes":{"get":{"tags":["Processes"],"summary":"List Processes","description":"If response data is empty there were no Processes found with the chosen filters","operationId":"GetAllProcesses","parameters":[{"name":"PageNumber","in":"query","description":"Current page number. Default value is 1.","schema":{"type":"integer","format":"int32"}},{"name":"PageSize","in":"query","description":"Maximum page size is 200. Default page size is 30.","schema":{"type":"integer","format":"int32"}},{"name":"processGuid","in":"query","description":"Filter Processes by unique identifier","schema":{"type":"string","format":"uuid"}},{"name":"processName","in":"query","description":"Filter Processes by name","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtoProcessListGetPagedResponse"}}}}}}}}}
```

## DELETE /api/v1/processes/{processGuid}

> Delete Process and Undeploy from all Agent Groups

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/processes/{processGuid}":{"delete":{"tags":["Processes"],"summary":"Delete Process and Undeploy from all Agent Groups","operationId":"DeleteProcess","parameters":[{"name":"processGuid","in":"path","description":"Unique identifier for Process to delete","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"},"404":{"description":"Not Found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## Export Process to file

> Same as ExportWithId. Process Variables values are taken the Development Agent Group.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/processes/{processGuid}/versions/{processVersion}/export":{"get":{"tags":["Processes"],"summary":"Export Process to file","description":"Same as ExportWithId. Process Variables values are taken the Development Agent Group.","parameters":[{"name":"processGuid","in":"path","description":"Process unique identifier","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"processVersion","in":"path","description":"Process version","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Process not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## Export Process to file

> Same as Export. Process Variables values are taken the Development Agent Group.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/processes/{id}/export":{"get":{"tags":["Processes"],"summary":"Export Process to file","description":"Same as Export. Process Variables values are taken the Development Agent Group.","parameters":[{"name":"id","in":"path","description":"Process version unique identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}},"404":{"description":"Process not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## Export multiple Processes to file

> Process Variables values are taken the Development Agent Group.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}}},"paths":{"/api/v1/processes/batch-export":{"get":{"tags":["Processes"],"summary":"Export multiple Processes to file","description":"Process Variables values are taken the Development Agent Group.","parameters":[{"name":"ids","in":"query","description":"List of Process Id's that should be exported.","schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## Import one or more Processes

> This can be a very slow action. Please> \
> &#x20;       make sure your client has a long enough timeout so that the operation does not get cancelled.

```json
{"openapi":"3.0.1","info":{"title":"Frends API","version":"1.0"},"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"apiKey","description":"Enter your bearer token in the format **Bearer &lt;token>**","name":"Authorization","in":"header"}},"schemas":{"ImportResultResponse":{"required":["Data"],"type":"object","properties":{"data":{"$ref":"#/components/schemas/ImportResult"}},"additionalProperties":false},"ImportResult":{"required":["name","resourceLocation"],"type":"object","properties":{"name":{"type":"string"},"elementIdentifier":{"type":"string","format":"uuid"},"id":{"type":"integer","format":"int64"},"resourceLocation":{"type":"string","format":"uri"},"version":{"type":"integer","format":"int32"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/processes/batch-import":{"post":{"tags":["Processes"],"summary":"Import one or more Processes","description":"This can be a very slow action. Please\r\n        make sure your client has a long enough timeout so that the operation does not get cancelled.","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file","importConflict"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"importConflict":{"enum":["Error","UseExisting","NewVersion","NewActiveElement","NewInactiveElement"],"type":"string","description":"Setting for deciding what to do when a Process GUID already exists.\r\n                <ul>\r\n                    <li>Error - the request will fail if Process exists.</li><li>UseExisting - will not import Processes that exist.</li><li>NewVersion - will update the existing Process to the imported one.</li><li>NewActiveElement - will create a new Process with an Activated Trigger.</li><li>NewInactiveElement - will create a new Process with an Deactivated Trigger.</li>\r\n                </ul>","default":"Error"}},"description":"File to upload.","discriminator":{"propertyName":"ImportProcess"}}}}},"responses":{"200":{"description":"Process(es) imported successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportResultResponse"}}}},"400":{"description":"File not found","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"415":{"description":"Unsupported Media Type","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"422":{"description":"Error in compilation","content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.frends.com/reference/frends-6.1.0/frends-platform-api/platform-api-reference/processes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
